%{?drupal7_find_provides_and_requires}

%global module rules

Name:          drupal7-%{module}
Version:       2.9
Release:       2%{?dist}
Summary:       React on events and conditionally evaluate actions

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# rules.info
Requires:      drupal7(entity)
Requires:      drupal7(entity_token)
# phpcompatinfo (computed from version 2.8)
Requires:      php-date
Requires:      php-filter
Requires:      php-pcre
Requires:      php-reflection
Requires:      php-spl

%description
The Rules module allows site administrators to define conditionally executed
actions based on occurring events (known as reactive or ECA rules). It's a
replacement with more features for the trigger module in core and the successor
of the Drupal 5 workflow-ng module.

This package provides the following Drupal modules:
* %{module}
* %{module}_admin
* %{module}_i18n
* %{module}_scheduler


%prep
%setup -qn %{module}

# E: script-without-shebang /usr/share/drupal7/modules/rules/includes/rules.event.inc
chmod a-x includes/rules.event.inc



%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc DEVELOPER.txt
%doc README.txt
%{drupal7_modules}/%{module}


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Peter Borsa <peter.borsa@gmail.com> - 2.9-1
- Updated to 2.9 (BZ #1202771)

* Tue Jan 13 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.8-1
- Updated to 2.8 (BZ #1180431)
- Spec cleanup
- Removed RPM README b/c it only explained common Drupal workflow
- %%license usage

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Peter Borsa <peter.borsa@gmail.com> - 2.7-1
- Update to upstream 2.7 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2257127

* Wed Nov 06 2013 Peter Borsa <peter.borsa@gmail.com> - 2.6-1
- Update to upstream 2.6 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2123171

* Thu Sep 26 2013 Peter Borsa <peter.borsa@gmail.com> - 2.5-1
- Update to upstream 2.5 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2092781

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Peter Borsa <peter.borsa@gmail.com> - 2.3-1
- New upstream version

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 4 2012 Peter Borsa <peter.borsa@gmail.com> - 2.2-1
- New upstream version.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Peter Borsa <peter.borsa@gmail.com> - 2.1-2
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-1
- Initial packaging.

